Page MenuHomePhabricator

Modify color scheme of ScoredRevisions.css
Closed, ResolvedPublic

Description

I have been told that the color scheme of ScoredRevisions.js is a bit confusing particularly with FlaggedRevs using a similar color scheme. Perhaps a different color scheme would be most useful.

Might I also suggest having a new column for the scores. While highlight is nice, it isn't as obvious during a showcase. I'd propose adding a column before date but it could be added elsewhere too.

Event Timeline

ToAruShiroiNeko assigned this task to He7d3r.
ToAruShiroiNeko raised the priority of this task from to Lowest.
ToAruShiroiNeko updated the task description. (Show Details)
ToAruShiroiNeko moved this task to Paused on the Scoring-platform-team (Current) board.
ToAruShiroiNeko added a subscriber: ToAruShiroiNeko.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2015, 8:19 AM

Perhaps it should be easier for users to change their color scheme based on their choice of skin template. Can this be done with an additional line in global.js without too much difficulty?

He7d3r added a comment.EditedJul 6 2015, 1:16 PM

The script adds one of 4 classes (sr-revert-high, sr-revert-medium, sr-revert-low or sr-revert-none) depending on the predicted probability of revert, so that users can use CSS to change the default style from ScoredRevisions.css (which just changes the background color for now). They can just copy ScoredRevisions.css as a start point and play with the styles as they like :-)

Example: https://github.com/he7d3r/mw-gadget-ScoredRevisions/blob/master/README.md#customization

He7d3r renamed this task from Modify color scheme of ScoredRevisions.js to Modify color scheme of ScoredRevisions.css.Jul 6 2015, 1:16 PM
He7d3r set Security to None.
He7d3r added a project: Design.
Halfak added a subscriber: Halfak.Jul 24 2015, 5:00 PM

@He7d3r is this done? It seems like it is done.

Well, I didn't do any chances to the color scheme. I just mentioned that it is customizable by the user, due to the presence of classes for each item.

Halfak closed this task as Resolved.Sep 19 2015, 4:03 PM